UpsideFrequency {PerformanceAnalytics} | R Documentation

## upside frequency of the return distribution

### Description

To calculate Upside Frequency, we take the subset of returns that are more than the target (or Minimum Acceptable Returns (MAR)) returns and divide the length of this subset by the total number of returns.

### Usage

    UpsideFrequency(R, MAR = 0, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`MAR` | Minimum Acceptable Return, in the same periodicity as your returns
`...` | any other passthru parameters

### Details

UpsideFrequency(R, MAR) = length(subset of returns above MAR) / length(total returns)

where n is the number of observations of the entire series

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.94

### Examples

    data(portfolio_bacon)
    MAR = 0.005
    print(UpsideFrequency(portfolio_bacon[,1], MAR)) #expected 0.542

    data(managers)
    print(UpsideFrequency(managers['1996']))
    print(UpsideFrequency(managers['1996',1])) #expected 0.75

[Package PerformanceAnalytics version 1.5.3 Index]